<?xml version='1.0' encoding='utf-8'?>
<UpdateInfo Name="iu_serversinfo" DownloadUrl="https://svistunov.dev/updates/iu_serversinfo_1544359114.zip" TimeStamp="1734766761" Date="2024-12-21 10:39:21" UpdateUrl="https://svistunov.dev/updates/update.php" CoreUpdate="0" DisplayName="Servers update 1.4.1 build 5219" Hash="6e0a013b26d39c4e19d4349a9a634a76" DownloadPage="https://svistunov.dev/imageuploader_downloads">
  <Info>- Fixed updating thumbnail after external image editor closes
- Add more result links to history window context menu, upload listview context menu
- Image Editor: fixed bug in color picker tool
- Small fix in WinServerIconCache
- Add imgfoto.host, fixed crash in WinServerIconCache
- Generate random filename in sftp.nut
- Update libraries, add tinyurl icon
- Fixed shortening links after upload
- Ignore CURL error when response code checking is disabled
- Fixed missing Dwmapi library linkage
- Exclude cloaked windows from choosing in CRegionSelect
- Fixed album creation on turboimagehost.com
- Add image hosting turboimagehost.com
- Add hosting yapic.ru, imageup.ru
- GUI: fixed mime type detection and choosing file extension for downloaded images
- Fixed broken i18n in scripts
- Take into account the delay when taking a screenshot not by hotkey, fixes #289
- Fixed missing Media Foundation libraries
- Percent encoding of FTP upload URL #386
- Add video grabber based on Microsoft Media Foundation
- Do not replace spaces in file names when uploading via FTP #386; GUI: fixed crash on exit
- Add FTPS support and active FTP
- Image Editor: rotate and flip image (#385)
- Include app's architecture in request when checking for updates
- Fixed crash on exit in CThumbsView; Update scripting API docs
- Fixed memory and handle leaks in DirectShow frame grabbers
- CLI: return non-zero result code when upload failed
- CLI: use argparse library for parsing command line arguments (#384)
- Update text
- Delete app's jumplist on uninstall
- qimageuploader: refactor UploadTreeView keyboard shortcuts
- qimageuploader: add copy links to treeview context menu
- Add hosting imghippo.com
- Update curl-ca-bundle.crt, fix sendspace.com script and certificate error
- Add file and directory parameter type to server's parameters dialog
- Use theme API in property list checkbox and dropdown list rendering (ComboBox)
- Update servers.xml documentation, small fix on connection settings page
- Fixed hosting getapic.me, fixed memory leaks
- New Imgur client id #383
- Open modern system proxy dialog on Windows 10+
- Refactor server parameters, add boolean parameter (Checkbox)
- Refactor server parameters list (code has been moved to ParameterListAdapter)
- Add choice parameter to CServerParamsDlg (ComboBox) #366
- Fixed bug in checking file format
- Fixed working directory of Start Menu shortcut created by WinToastLib
- Update README.MD
- Set initially focus on Next button on Upload settings page #382
- Improving scripting API, fixes #381
- qimageuploader: fixed crashes and bugs
- Check file types when started from Explorer's context menu
- Add file hosting dosya.co #77
- Fixed type of MAX_BAD_ITEMS in FileTypeCheckTask
- Add video hosting dubz.co #362
- Checking file formats before upload (#380)
- Disabling creation of thumbnails for FileUploadTask::TypeSearchByImageFile
- Fixed setting default image search server
- ImageEditor: draw arrows in arrow type combobox
- Update docs
- Fixed image file hold
- Add missing tinyxml2 find_package to CMakeLists.txt
- Add tinyxml2 by target_link_libraries
- Test for SimpleXml class
- Make toolbar accessible by tab key on results panel
- Fixed message in CSearchByImageDlg
- Migrate to TinyXML-2
- Remove dead hosting userscloud.com
- Fix crash in GetIconPixelData function
- Fix compilation of QtImage on Linux
- Add support for reverse image search in CDefaultUploadEngine, CScriptUploadEngine
- Fixed server icon in login dialog
- Implement server icon cache
- Rewrite ColorQuantizer based on KGySoft.Drawing code (for saving images in GIF format)
- Remove Inno Tools Downloader
- Fix icons in CScreenshotDlg; remove dead hosting nekofile.eu.org
- Small refactoring of OutputGenerator
- Small fix
- Copy to the clipboard the last code type when uploading from tray or global hotkey #374
- Disable installing WebView2 in create_build.py
- Code generator refactoring (#379)
- Fixed crash in CHistoryTreeControl
- Add hotkeys for CHistoryTreeControl context menu items
- Add animated GIF support to the image viewer
- Update servers.xsd and servers.xml
- Handle Browser Back and Forward in CWizardDlg
- Image Editor: add tooltip for Swap colors button
- Update build script and COMPILING.MD
- Toolbar icons fix on the Upload page
- Server folder list (#378)
- Add info on server thumbnails for imageban.ru (#376)
- Update changelog
</Info>
</UpdateInfo>